﻿using System.Collections.Generic;

namespace ThinkGeo.MapSuite.GeoCoderExamples
{
    public static class MapSuiteSampleHelper
    {
        public static IEnumerable<string> GetGeocoderAddressCandidates(GeocoderSearchType searchType)
        {
            switch (searchType)
            {
                case GeocoderSearchType.Reverse:
                    yield return "42.020431 -87.666757";
                    yield return "42.017069 -87.672102";
                    yield return "42.016106 -87.668558";
                    yield return "42.005451 -87.664937";
                    yield return "42.011431 -87.678457";
                    yield return "42.013912 -87.699847";
                    break;

                default:
                    yield return "5300 N Winthrop Ave";
                    yield return "1401 W Ainslie St";
                    yield return "1401 W Estes Ave";
                    yield return "7430 N Seeley Ave";
                    yield return "7400 N Greenview Ave";
                    yield return "1101 W Farwell Ave";
                    break;
            }
        }
    }
}